#!/bin/csh
#
# STAIR VISION LIBRARY
# Copyright (c) 2007-2009, Stanford University
#
# FILENAME:    install.sh
# AUTHOR(S):   Stephen Gould <sgould@stanford.edu>
# DESCRIPTION:
#   Installs required external libraries: OpenCV, wxWidgets, eigen.
#

set CODEBASE = `pwd`/..

# OpenCV
if (! -e opencv) then
    wget http://prdownloads.sourceforge.net/opencvlibrary/opencv-1.0.0.tar.gz
    tar xzvf opencv-1.0.0.tar.gz    
    cd opencv-1.0.0
    ./configure --enable-static --prefix=${CODEBASE}/external/opencv
    make
    make install
endif

# wxWidgets
if (! -e wxGTK) then
    wget http://prdownloads.sourceforge.net/wxwindows/wxGTK-2.8.7.tar.gz
    tar xzvf wxGTK-2.8.7.tar.gz
    rm wxGTK-2.8.7.tar.gz
    cd wxGTK-2.8.7
    mkdir buildgtk
    cd buildgtk
    ../configure --disable-shared --with-opengl --enable-monolithic
    make
    cd ../..
    ln -s wxGTK-2.8.7 ${CODEBASE}/external/wxGTK
endif

# eigen
if (! -e Eigen) then
    wget http://download.tuxfamily.org/eigen/eigen-2.0.0.tar.bz2
    bunzip2 eigen-2.0.0.tar.bz2
    tar xvf eigen-2.0.0.tar
    ln -s eigen-2.0.0/Eigen ${CODEBASE}/external/Eigen
endif
